Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ GLSA 201607-02 ] libpcre
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index News & Announcements
View previous topic :: View next topic  
Author Message
GLSA
Advocate
Advocate


Joined: 12 May 2004
Posts: 2226

PostPosted: Sat Jul 09, 2016 3:26 am    Post subject: [ GLSA 201607-02 ] libpcre Reply with quote

Gentoo Linux Security Advisory

Title: libpcre: Multiple Vulnerabilities (GLSA 201607-02)
Severity: normal
Exploitable: remote
Date: July 09, 2016
Bug(s): #529952, #551240, #553300, #570694, #575546
ID: 201607-02

Synopsis

Multiple vulnerabilities have been found in libpcre, the worst of
which could lead to arbitrary code execution, or cause a Denial of Service
condition.


Background

libpcre is a library providing functions for Perl-compatible regular
expressions.


Affected Packages

Package: dev-libs/libpcre
Vulnerable: < 8.38-r1
Unaffected: >= 8.38-r1
Architectures: All supported architectures


Description

Multiple vulnerabilities have been discovered in libpcre. Please review
the CVE identifiers referenced below for details.


Impact

An attacker can possibly execute arbitrary code or create a Denial of
Service condition.


Workaround

There is no known workaround at this time.

Resolution

All libpcre users should upgrade to the latest version:
Code:
# emerge --sync
      # emerge --ask --oneshot --verbose ">=dev-libs/libpcre-8.38-r1"
   


References

CVE-2014-8964
CVE-2014-8964
CVE-2015-5073
CVE-2015-5073
CVE-2015-5073
CVE-2015-8380
CVE-2015-8381
CVE-2015-8383
CVE-2015-8384
CVE-2015-8385
CVE-2015-8386
CVE-2015-8387
CVE-2015-8388
CVE-2015-8389
CVE-2015-8390
CVE-2015-8391
CVE-2015-8392
CVE-2015-8393
CVE-2015-8394
CVE-2015-8395
CVE-2016-1283
CVE-2016-1283
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index News & Announcements All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum